import { ChangeDetectorRef, EventEmitter } from '@angular/core';
import { ControlValueAccessor, NgControl } from '@angular/forms';
export declare class NtCheckboxChange {
    source: NtCheckboxComponent;
    checked: boolean;
    constructor(source: NtCheckboxComponent, checked: boolean);
}
export declare class NtCheckboxComponent implements ControlValueAccessor {
    private _changeDetectorRef;
    ngControl: NgControl;
    readonly id: string;
    tabIndex: number;
    private _value;
    value: any | null;
    private _disabled;
    disabled: boolean;
    private _readonly;
    readonly: boolean;
    private _checked;
    checked: boolean;
    private _indeterminate;
    indeterminate: boolean;
    readonly change: EventEmitter<NtCheckboxChange>;
    readonly indeterminateChange: EventEmitter<boolean>;
    private _onChange;
    private _onTouched;
    constructor(_changeDetectorRef: ChangeDetectorRef, tabIndex: string, ngControl: NgControl);
    writeValue(value: any): void;
    registerOnChange(fn: (_: any) => {}): void;
    registerOnTouched(fn: () => {}): void;
    setDisabledState(isDisabled: boolean): void;
    _onInputClick(event: Event): void;
    _onInteractionEvent(event: Event): void;
    private _emitChangeEvent;
}
